Bug 441270 - Revisor appears to need an obsoletes for revisor-jigdo
Revisor appears to need an obsoletes for revisor-jigdo
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-07 10:00 EDT by Bruno Wolff III
Modified: 2008-08-01 18:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.1.1-6.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-01 18:55:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2008-04-07 10:00:44 EDT
Description of problem:
It appears as if the revsior-jigdo package has been dropped. Most likely it
needs to be obsoleted.

Version-Release number of selected component (if applicable):
The problem occured with going from revisor-2.0.5-15.fc9.noarch to
2.1.0-1rc7.fc9.noarch which was blocked by revisor-jigdo-2.0.5-15.fc9.noarch's
dependency on revisor-2.0.5-15.fc9.noarch.

How reproducible:
Seems to be 100%.

Steps to Reproduce:
1. Install revisor-2.0.5-15.fc9.noarch and revisor-jigdo-2.0.5-15.fc9.noarch
2. Attempt to update to current rawhide using yum update
Actual results:
yum was not able to do the update of revisor.

Expected results:
yum would delete revisor-jigdo-2.0.5-15.fc9.noarch (assuming that it really was
obsoleted) and complete the update.

Additional info:
There might be some other packages (such as revisor-delta) that need similar
Comment 1 Bug Zapper 2008-05-14 05:02:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 2 Jeroen van Meeuwen 2008-07-31 17:15:50 EDT
I believe this has been resolved in Fedora 8 as well as in Fedora 9. Could you
please confirm?
Comment 3 Bruno Wolff III 2008-08-01 18:17:24 EDT
I tried it out on F9 by uninstalling revisor (yum erase 'revisor*'), getting F8
version of revisor and installing it with rpm (rpm -Uvh
revisor- revisor-comps-
revisor-jigdo- I then did a yum update and revisor-cli
did appear to replace the obsoleted revisor-jigdo. Some relevant yum output:

 revisor-cli             noarch     2.1.1-6.fc9      updates           361 k
     replacing  revisor-jigdo.noarch

 revisor                 noarch     2.1.1-6.fc9      updates           7.3 k
 revisor-comps           noarch     2.1.1-6.fc9      updates           976 k
Installing for dependencies:
 revisor-gui             noarch     2.1.1-6.fc9      updates           330 k

So I think it looks good.
Comment 4 Jeroen van Meeuwen 2008-08-01 18:55:43 EDT
Thank you, I was afraid memory hadn't served me well, or weirdness had been
happening. Thanks again!

Note You need to log in before you can comment on or make changes to this bug.